images = new Array();

// change an image's source for use with mouse over, out, and click events
//
// imagename is the name of the image in the document and the name the image
// was given in the load function.
//
// event is one of: on, off, click
//
function change(imagename, event)
{
    document [imagename].src = images[imagename + "-" + event].src;

    return;
}

// load an image and its out and click variants into the images array
//
// prefix is the path name that comes before the image name with a trailing /
//
// imagename is the name of the image in the document and is the filename of the
// image file without any extension or '-out', '-click' suffixes
//
function load(prefix, imagename)
{
    images[imagename + "-on"] = new Image();
    images[imagename + "-on"].src = prefix + imagename + "-on.gif";

    images[imagename + "-off"] = new Image();
    images[imagename + "-off"].src = prefix + imagename + "-off.gif";

    images[imagename + "-click"] = new Image();
    images[imagename + "-click"].src = prefix + imagename + "-click.gif";

    return;
}